<!doctype html>
<html lang="es">
<head>
    <meta charset="UTF-8">
    <meta name="viewport"
          content="width=device-width, user-scalable=no, initial-scale=1.0, maximum-scale=1.0, minimum-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Computed properties</title>
</head>
<body>

<main>
    <h2>
        {{ messageReverse }}
    </h2>

    <hr>
    <h3>List task</h3>
    <ul>
        <li v-for="task in antiquityTask">{{ task.name }}</li>
    </ul>
</main>

<script src="https://cdn.jsdelivr.net/npm/vue/dist/vue.js"></script>

<script>
    new Vue({
        el: 'main',
        data: {
            message: "Hello world!",
            listTask: [
                {name: "Terminar curso de Vue", priority: true, antiquity: 14},
                {name: "Visitar mis padres", priority: true, antiquity: 30,},
                {name: "Terminar el año bien", priority: true, antiquity: 10},
            ]
        },
        computed: {
            messageReverse() {
                return this.message.split('').reverse().join('');
            },

            priorityTask() {
                return this.listTask.filter((task) => task.priority);
            },
            antiquityTask() {
                return this.listTask.sort((a, b)=> b.antiquity - a.antiquity);
            }
        }
    })
</script>

</body>
</html>